Skip to main content
Operations Management/Billing Management Operations
GETBilling Management OperationsSince 3.7.0SynchronousAuth Required

QueryAccountBilling

QueryAccountBilling

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • idlongRequired

      The billing ID.

    • billingTypeStringRequired

      The billing type.

    • accountUuidStringRequired

      The account UUID.

    • resourceUuidStringRequired

      The resource UUID.

    • resourceNameStringRequired

      The resource name.

    • spendingdoubleRequired

      The spending.

    • startTimelongRequired

      The billing start time.

    • endTimelongRequired

      The billing end time.

    • hypervisorTypeStringRequired

      The hypervisor type.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/billing/billings

/zstack/v1/billing/billings

Operation ID

QueryAccountBilling

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/billing/billings' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "id": 1.0, "billingType": "DataVolume", "accountUuid": "9d0795db99e93ed49f8bc433dd54cf0e", "resourceUuid": "5fd7d24b821139eeaec591fc351ffd51", "spending": 100.0, "startTime": 1.559017175886E12, "endTime": 1.559017375886E12, "hypervisorType": "kvm", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history